Package com.google.protobuf

# Interface GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>

All Superinterfaces:
  `MessageLiteOrBuilder`

All Known Implementing Classes:
  `GeneratedMessageLite.ExtendableBuilder`, `GeneratedMessageLite.ExtendableMessage`

Enclosing class:
  GeneratedMessageLite<MessageType extends GeneratedMessageLite<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.Builder<MessageType,BuilderType>>

public static interface GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>> extends MessageLiteOrBuilder
Lite equivalent of `GeneratedMessage.ExtendableMessageOrBuilder`.

## Method Summary

Modifier and Type
Method
Description
`<Type> Type`
`getExtension(ExtensionLite<MessageType,List<Type>> extension, int index)`
Get one element of a repeated extension.
`<Type> Type`
`getExtension(ExtensionLite<MessageType,Type> extension)`
Get the value of an extension.
`<Type> int`
`getExtensionCount(ExtensionLite<MessageType,List<Type>> extension)`
Get the number of elements in a repeated extension.
`<Type> boolean`
`hasExtension(ExtensionLite<MessageType,Type> extension)`
Check if a singular extension is present.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Method Details

### hasExtension

<Type> boolean hasExtension(ExtensionLite<MessageType,Type> extension)
Check if a singular extension is present.

### getExtensionCount

<Type> int getExtensionCount(ExtensionLite<MessageType,List<Type>> extension)
Get the number of elements in a repeated extension.

### getExtension

<Type> Type getExtension(ExtensionLite<MessageType,Type> extension)
Get the value of an extension.

### getExtension

<Type> Type getExtension(ExtensionLite<MessageType,List<Type>> extension, int index)
Get one element of a repeated extension.